> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subscribers (/api-reference/fansly/subscribers/list-subscribers)

Get the list of subscribers for a Fansly Account, including their subscription tier, price, billing cycle, and lifecycle timestamps.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-fansly-docs/openapi.yaml get /api/fansly/{fanslyAccount}/subscribers
openapi: 3.0.3
info:
  title: Fansly API Documentation
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: Account
    description: Endpoints for your linked Fansly accounts
  - name: Chats
    description: Endpoints for Fansly chats (messaging groups)
  - name: Earnings
    description: Endpoints for Fansly Earnings — wallets, balances, transactions,
      payouts, and statements.
  - name: Followers
    description: Endpoints for Fansly followers.
  - name: Lists
    description: Endpoints for Fansly subscriber/fan lists (e.g. "VIP", "Spenders").
  - name: Profile Statistics
    description: Endpoints for Fansly Profile Statistics (viewer engagement insights).
  - name: Subscribers
    description: Endpoints for Fansly subscribers and subscription tiers.
  - name: Top Supporters
    description: Endpoints for the Fansly "Top Supporters" view — see who spends the
      most and what they spend on.
  - name: Tracking Links
    description: Endpoints for Fansly tracking links — per-source attribution links
      (e.g. "Twitter bio", "FYP", "Search").
  - name: Users
    description: APIs for fetching Fansly users
paths:
  /api/fansly/{fanslyAccount}/subscribers:
    parameters:
      - in: path
        name: fanslyAccount
        description: The Fansly Account ID
        example: fansly_acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: List Subscribers
      operationId: listSubscribers
      description: Get the list of subscribers for a Fansly Account, including their
        subscription tier, price, billing cycle, and lifecycle timestamps.
      parameters:
        - in: query
          name: limit
          description: Number of subscribers to return (1 - 100). Default = 20
          example: 20
          required: false
          schema:
            type: string
            description: Number of subscribers to return (1 - 100). Default = 20
            example: 20
        - in: query
          name: offset
          description: Number of subscribers to skip for pagination. Default = 0
          example: 0
          required: false
          schema:
            type: string
            description: Number of subscribers to skip for pagination. Default = 0
            example: 0
        - in: query
          name: search
          description: Search subscribers by username/display name
          example: ""
          required: false
          schema:
            type: string
            description: Search subscribers by username/display name
            example: ""
        - in: query
          name: subscription_tier_id
          description: Filter to subscribers on a single subscription tier. Tier IDs can
            be obtained from the **List Subscription Tiers** endpoint.
          example: "843584256474116096"
          required: false
          schema:
            type: string
            description: Filter to subscribers on a single subscription tier. Tier IDs can
              be obtained from the **List Subscription Tiers** endpoint.
            example: "843584256474116096"
        - in: query
          name: status
          description: Subscription status filter. Default = active
          example: active
          required: false
          schema:
            type: string
            description: Subscription status filter. Default = active
            example: active
            enum:
              - active
              - expired
              - all
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    stats:
                      totalActive: 2
                      totalExpired: 1
                      total: 3
                    subscriptions:
                      - id: "500000000000000001"
                        historyId: "500000000000000002"
                        subscriberId: "600000000000000001"
                        subscriptionTierId: "700000000000000001"
                        subscriptionTierName: Starter Tier
                        subscriptionTierColor: "#FF6F61"
                        planId: "700000000000000010"
                        promoId: "0"
                        giftCodeId: null
                        paymentMethodId: "0"
                        status: 3
                        price: 5000
                        renewPrice: 5000
                        renewCorrelationId: "500000000000000002"
                        autoRenew: 1
                        billingCycle: 30
                        duration: 30
                        renewDate: 1780479709000
                        version: 3
                        createdAt: 1780479709000
                        updatedAt: 1780479710000
                        endsAt: 1783071709000
                        promoPrice: null
                        promoDuration: null
                        promoStatus: null
                        promoStartsAt: null
                        promoEndsAt: null
                      - id: "500000000000000003"
                        historyId: "500000000000000004"
                        subscriberId: "600000000000000002"
                        subscriptionTierId: "700000000000000002"
                        subscriptionTierName: Premium Tier
                        subscriptionTierColor: "#FF69B4"
                        planId: "700000000000000020"
                        promoId: "0"
                        giftCodeId: null
                        paymentMethodId: "0"
                        status: 4
                        price: 99000
                        renewPrice: 99000
                        renewCorrelationId: "500000000000000004"
                        autoRenew: 0
                        billingCycle: 30
                        duration: 30
                        renewDate: 1780433433000
                        version: 4
                        createdAt: 1780433433000
                        updatedAt: 1780433434000
                        endsAt: 1783025433000
                        promoPrice: null
                        promoDuration: null
                        promoStatus: null
                        promoStartsAt: null
                        promoEndsAt: null
                    hasMore: false
                  _pagination:
                    next_page: null
                  _meta:
                    _credits:
                      used: 1
                      balance: 10055811
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 5000
                      limit_day: null
                      remaining_minute: 4999
                      remaining_day: null
                      notice: We have decided to remove our daily rate limits. Please remove any
                        references to these in your integrations.
                properties:
                  data:
                    type: object
                    properties:
                      stats:
                        type: object
                        properties:
                          totalActive:
                            type: integer
                            example: 2
                          totalExpired:
                            type: integer
                            example: 1
                          total:
                            type: integer
                            example: 3
                      subscriptions:
                        type: array
                        example:
                          - id: "500000000000000001"
                            historyId: "500000000000000002"
                            subscriberId: "600000000000000001"
                            subscriptionTierId: "700000000000000001"
                            subscriptionTierName: Starter Tier
                            subscriptionTierColor: "#FF6F61"
                            planId: "700000000000000010"
                            promoId: "0"
                            giftCodeId: null
                            paymentMethodId: "0"
                            status: 3
                            price: 5000
                            renewPrice: 5000
                            renewCorrelationId: "500000000000000002"
                            autoRenew: 1
                            billingCycle: 30
                            duration: 30
                            renewDate: 1780479709000
                            version: 3
                            createdAt: 1780479709000
                            updatedAt: 1780479710000
                            endsAt: 1783071709000
                            promoPrice: null
                            promoDuration: null
                            promoStatus: null
                            promoStartsAt: null
                            promoEndsAt: null
                          - id: "500000000000000003"
                            historyId: "500000000000000004"
                            subscriberId: "600000000000000002"
                            subscriptionTierId: "700000000000000002"
                            subscriptionTierName: Premium Tier
                            subscriptionTierColor: "#FF69B4"
                            planId: "700000000000000020"
                            promoId: "0"
                            giftCodeId: null
                            paymentMethodId: "0"
                            status: 4
                            price: 99000
                            renewPrice: 99000
                            renewCorrelationId: "500000000000000004"
                            autoRenew: 0
                            billingCycle: 30
                            duration: 30
                            renewDate: 1780433433000
                            version: 4
                            createdAt: 1780433433000
                            updatedAt: 1780433434000
                            endsAt: 1783025433000
                            promoPrice: null
                            promoDuration: null
                            promoStatus: null
                            promoStartsAt: null
                            promoEndsAt: null
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: "500000000000000001"
                            historyId:
                              type: string
                              example: "500000000000000002"
                            subscriberId:
                              type: string
                              example: "600000000000000001"
                            subscriptionTierId:
                              type: string
                              example: "700000000000000001"
                            subscriptionTierName:
                              type: string
                              example: Starter Tier
                            subscriptionTierColor:
                              type: string
                              example: "#FF6F61"
                            planId:
                              type: string
                              example: "700000000000000010"
                            promoId:
                              type: string
                              example: "0"
                            giftCodeId:
                              type: string
                              example: null
                              nullable: true
                            paymentMethodId:
                              type: string
                              example: "0"
                            status:
                              type: integer
                              example: 3
                            price:
                              type: integer
                              example: 5000
                            renewPrice:
                              type: integer
                              example: 5000
                            renewCorrelationId:
                              type: string
                              example: "500000000000000002"
                            autoRenew:
                              type: integer
                              example: 1
                            billingCycle:
                              type: integer
                              example: 30
                            duration:
                              type: integer
                              example: 30
                            renewDate:
                              type: integer
                              example: 1780479709000
                            version:
                              type: integer
                              example: 3
                            createdAt:
                              type: integer
                              example: 1780479709000
                            updatedAt:
                              type: integer
                              example: 1780479710000
                            endsAt:
                              type: integer
                              example: 1783071709000
                            promoPrice:
                              type: string
                              example: null
                              nullable: true
                            promoDuration:
                              type: string
                              example: null
                              nullable: true
                            promoStatus:
                              type: string
                              example: null
                              nullable: true
                            promoStartsAt:
                              type: string
                              example: null
                              nullable: true
                            promoEndsAt:
                              type: string
                              example: null
                              nullable: true
                      hasMore:
                        type: boolean
                        example: false
                  _pagination:
                    type: object
                    properties:
                      next_page:
                        type: string
                        example: null
                        nullable: true
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 10055811
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 5000
                          limit_day:
                            type: string
                            example: null
                            nullable: true
                          remaining_minute:
                            type: integer
                            example: 4999
                          remaining_day:
                            type: string
                            example: null
                            nullable: true
                          notice:
                            type: string
                            example: We have decided to remove our daily rate limits. Please remove any
                              references to these in your integrations.
      tags:
        - Subscribers
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````